#!/usr/bin/env python3
from . import db


class Controller(db.Model):
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)

    job_id = db.Column(db.Integer, db.ForeignKey("job.id", ondelete="CASCADE"), nullable=False)
    job = db.relationship("Job", backref=db.backref("controllers", cascade='all, delete-orphan', lazy='joined'))
